### Method

# GUPnPAV DIDLLiteResource set_protection

#### Declaration [src]

    void
    gupnp_didl_lite_resource_set_protection (
      GUPnPDIDLLiteResource* resource,
      const char* protection
    )

#### Description [src]

Set the protection system used by the `resource`. Passing a negative number will unset this property.

Sets property | `GUPnPAV.DIDLLiteResource:protection`

#### Parameters

`protection`

  Type: `const char*`

  The protection system identifier as string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.